pythonc_pyautuocad

@TOC在这里插入图片描述

# 导入模块
from pyautocad import Autocad, APoint
#创建cad实例
acad = Autocad(create_if_not_exists=True)
# 点
p1 = APoint(10, 500)
p2 = APoint(10, 200)
acad.model.AddLine(p1, p2)# 画出点
p1 = APoint(10, 500)
p2 = APoint(300, 200)
acad.model.AddLine(p1, p2)# 画出点
acad.prompt("Hello, Draw line Autocad from Python\n")#在cad控制面板中输出
#输出文件的名字
print(acad.doc.Name)  #Drawing1.dwg

接口

1.Autocad.app  :对应Autocad Active 接口中的 Application
method:
Eval
GetAcadState
GetInterfaceObject
ListARX
LoadARX
LoadDVB
Quit
RunMacro
StatusID
UnloadARX
UnloadDVB
Update
ZoomAll
ZoomCenter
ZoomExtents
ZoomPickWindow
ZoomPrevious
ZoomScaled
ZoomWindow
    

2.Autocad.doc  :对应Autocad Active 接口中的 Document(ActiveDocument)
method:

Activate
AuditInfo
Close
CopyObjects
EndUndoMark
Export
GetVariable
HandleToObject
Import
LoadShapeFile
ObjectIDToObject
Open
PurgeAll
Regen
Save
SaveAs
SendCommand
SetVariable
StartUndoMark
WBlock
2.Autocad.model  :对应Autocad Active 接口中的 Document.ModelSpace(ActiveDocument.ModelSpace)
method:           

Add3DFace
Add3DMesh
Add3DPoly
AddArc
AddAttribute
AddBox
AddCircle
AddCone
AddCustomObject
AddCylinder
AddDim3PointAngular
AddDimAligned
AddDimAngular
AddDimArc
AddDimDiametric
AddDimOrdinate
AddDimRadial
AddDimRadialLarge
AddDimRotated
AddEllipse
AddEllipticalCone
AddEllipticalCylinder
AddExtrudedSolid
AddExtrudedSolidALongPath
AddHatch
AddLeader
AddLightWeightPolyline
AddLine
AddMLeader
AddMLine
AddMText
AddPoint
AddPolyfaceMesh
AddPolyline
AddRaster
AddRay
AddRegion
AddRevolvedSolid
AddShape
AddSolid
AddSphere
AddSpline
AddTable
AddText
AddTolerance
AddTorus
AddTrace
AddWedge
AddXLine
AttachExternalReference
InsertBlock
Item
  • 1
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值